# $Revision: 1.3 $, $Date: 2002/02/11 21:39:43 $
Summary:	host program (NIKHOF's version)
Summary(pl):	Program host (wersja NIKHOF'a)
Name:		host-nikhof
Version:	991529
Release:	1
License:	GPL
Group:		Applications/Networking
Group(cs):	Aplikace/Sov
Group(da):	Programmer/Netvrks
Group(de):	Applikationen/Netzwerkwesen
Group(es):	Aplicaciones/Red
Group(fr):	Applications/Rseau
Group(it):	Applicazioni/Rete
Group(no):	Applikasjoner/Nettverk
Group(pl):	Aplikacje/Sieciowe
Group(pt):	Aplicaes/Rede
Group(pt_BR):	Aplicaes/Rede
Group(ru):	/
Group(sv):	Tillmpningar/Ntverk
Source0:	ftp://ftp.nikhef.nl/pub/network/host_%{version}.tar.Z
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A completely new version of 'host', a nameserver query utility a la
'nslookup' and 'dig', but much more versatile and robust.

Among the new features are:
 - Extensive error checking.
 - Optionally (very) verbose output and debugging info.
 - Checking for extraneous conditions during zone listings such as
   non-authoritative glue records and lame delegations.
 - Checking for illegal characters in certain domain names.
 - Verify that some host-related domain names are canonical.
 - Perform ttl consistency checking during zone listings.
 - Recursive traversion of delegated zones up to a given level.
 - Maintaining of resource record and host count statistics.
 - Option to check reverse mappings of host addresses.
 - Option to compare SOA records at the primary and secondary
   nameservers of a zone to check for anomalies such as out-of-sync
   serial numbers, and other discrepancies.
 - Recognition of the new RR types as defined by RFC 1183/1348.
 - Basic NSAP support according to RFC 1637.
 - Implement PX/GPOS RR types as defined by RFC 1664/1712.
 - Implement LOC RR type as defined by RFC 1876.
 - Recognize AAAA RR type as defined by RFC 1884/1886.
 - Support for new RR types KEY/SIG/NXT/SRV (still in draft).
 - Support for RR type NAPTR. Recognize EID/NIMLOC/ATMA.
 - Support for RR type KX. Recognize CERT.
 - Allow multiple arguments on command line or from stdin.
 - Configurable default options via an environment variable.
 - Anticipate non-BIND behaviour during zone listings.

And many more; see the manual page, the RELEASE NOTES, and the
extensively documented code for details.

%description -l pl
Cakowicie nowa implementacja host'a z wieloma nowymi moliwociami.

%prep
%setup -q -c host

%build
%{__make} CFLAGS="%{rpmcflags} -D_BSD_SOURCE" LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d   $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install host $RPM_BUILD_ROOT%{_bindir}/host-nikhof
install host.1 $RPM_BUILD_ROOT%{_mandir}/man1/host-nikhof.1

gzip -9nf RELEASE_NOTES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: host-nikhof.spec,v $
Revision 1.3  2002/02/11 21:39:43  kloczek
- adapterized and some cosmetics.

Revision 1.2  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/08/04 14:37:45  jajcus
- binary renamed to host-nikhof (it is not such new anymore)
- manual page added
- RELEASE_NOTES added to %doc
- renamed from host.spec

Revision 1.9  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2001/02/16 19:17:40  mis
- updated (by autoup) to 991529

Revision 1.7  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:30  baggins
- translated kloczkish into english

Revision 1.3  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 28 1999 Arkadiusz Mikiewicz <misiek@pld.org.pl>
- initial version
